Subject: Re: digitMapDescriptor

From: Nancy-M Greene <[email-masked]>
Date: Sun, 15 Aug 1999 22:14:01 -0500

Brian Rosen writes:
> The in the event descriptor rules we find:
> requestedAction = ( AccumulateDescriptor / NotifyActionToken /
>                     AccumulateToken / extensionParameter)
>
> AccumulateDescriptor = AccumByDMToken LBRKT (digitMapName /
>                          digitMapValue) RBRKT
>
> Notice the last one, your choices are an existing predefined map name,
> or a definition without a name.
>
Ok, I see this now - either a digitMapName OR a digtMapValue in the
AccumulateDescriptor- and I assume if you just put a digitMapValue, it is a
transient digit map, i.e. it will not stick around after the event(s) it is
assigned to has(have) been detected.

> There is not a way in the current
> syntax to predefine a name (other than by provisioning) except using
> the digitMapDescriptor in Add/Move/Modify (which is where eventDescriptor
> can be used).
>
> Thus I think the current syntax should stand.  You could look ahead
> and slightly change digitMapDescriptor from
> digitMapDescriptor = DigitMapToken EQUAL digitMapName LBRKT digitMapValue
> RBRKT
>
> to be
>
> defineDescriptor = DefineToken EQUAL definedName COLON defineType LBRKT
>    defineString RBRKT
>
> where for now:
> definedName = pkgdName
> defineType = DigitMapToken
> defineString = digitMapValue
>
> Someday we could have additional types and strings, like
> defineType = DigitMapToken / ScriptToken / TemplateToken
>
This sounds good.

In order to simplify things for the MG, we could say that the
digitMapDescriptor is ONLY used on Modify, and on Add. It should NOT be used
on Move. If we allow it everywhere, then the errors that can occur on a
command are increased - what if the actual move succeeds, but the storing of
a digit map fails? You may still have wanted the Move to occur. So better to
separate the two - do a Modify with a digitMapDescriptor, and then do a
Move.

Actually, we need to say on the Add and Modify, that if the storage of the
digitMapDescriptor fails, the Add or Modify should still do the other things
it is asked to. In other words, we need to send back a Warning msg that the
storage of the digit map failed, and because this is the case, the Events
Descriptor will act as if it had been asked to send back a Notify on every
event detected. Same thing if a named digit map is not found.

> Brian
Nancy
--------------------------------------------------------------------------
Nancy M. Greene
Internet & Service Provider Networks, Nortel Networks
T:514-271-7221 (internal:ESN853-1077) E:[email-masked]